/****
Approximate Implementation - 8/1/00 cmsief
This is an abstract base class for approximations
****/
#include "Approximate.h"


Approximate::Approximate(){P=0;}
Approximate::Approximate(Approximate &A){P=A.P;}
Approximate::Approximate(long dim){SetDim(dim);}
Approximate::~Approximate(){;}
void Approximate::SetDim(long dim){P=dim;}
/****
INPUT: Dimension of the space.
EFFECTS: Sets the problem dimension to dim.
****/

long Approximate::GetDim() const{ return P;}
/****
OUTPUT: Returns the dimension of the space.
****/ 
